odt_document {rmarkdown} | R Documentation

## Convert to an OpenDocument Text (ODT) document

### Description

Format for converting from R Markdown to an ODT document.

### Usage

    odt_document(fig_width = 5, fig_height = 4, fig_caption = TRUE,
      template = "default", reference_odt = "default", includes = NULL,
      keep_md = FALSE, md_extensions = NULL, pandoc_args = NULL)

### Arguments

`fig_width` | Default width (in inches) for figures
`fig_height` | Default width (in inches) for figures
`fig_caption` | `TRUE` to render figures with captions
`template` | Pandoc template to use for rendering. Pass "default" to use the rmarkdown package default template; pass `NULL` to use pandoc's built-in template; pass a path to use a custom template that you've created. See the documentation on pandoc online documentation for details on creating custom templates.
`reference_odt` | Use the specified file as a style reference in producing an odt file. For best results, the reference odt should be a modified version of an odt file produced using pandoc. Pass "default" to use the rmarkdown default styles.
`includes` | Named list of additional content to include within the document (typically created using the `includes` function).
`keep_md` | Keep the markdown file generated by knitting.
`md_extensions` | Markdown extensions to be added or removed from the default definition or R Markdown. See the `rmarkdown_format` for additional details.
`pandoc_args` | Additional command line options to pass to pandoc

### Details

See the online documentation for additional details on using the `odt_document` format.

R Markdown documents can have optional metadata that is used to generate a document header that includes the title, author, and date. For more details see the documentation on R Markdown metadata.

R Markdown documents also support citations. You can find more information on the markdown syntax for citations in the Bibliographies and Citations article in the online documentation.

### Value

R Markdown output format to pass to `render`

### Examples

    ## Not run:

    library(rmarkdown)

    # simple invocation
    render("input.Rmd", odt_document())

    # specify an option for syntax highlighting
    render("input.Rmd", odt_document(highlight = "zenburn"))

    ## End(Not run)

[Package rmarkdown version 1.2 Index]